Bug 991501 - Dist-geo-rep : 'gluster volume geo <master_vol> <slave_ip>::<slave_vol> delete' command deletes all session having that slave_vol name ; even though sessions are between same master and diffident slave cluster
Dist-geo-rep : 'gluster volume geo <master_vol> <slave_ip>::<slave_vol> delet...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Avra Sengupta
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 10:58 EDT by Avra Sengupta
Modified: 2014-07-11 15:17 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 990060
Environment:
Last Closed: 2014-07-11 15:17:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-08-02 11:01:50 EDT
REVIEW: http://review.gluster.org/5488 (glusterd: Saving geo-rep session details in a more specific path.) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 2 Anand Avati 2013-08-07 08:04:43 EDT
REVIEW: http://review.gluster.org/5488 (glusterd: Saving geo-rep session details in a more specific path.) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 3 Anand Avati 2013-08-07 10:04:09 EDT
REVIEW: http://review.gluster.org/5488 (glusterd: Saving geo-rep session details in a more specific path.) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 4 Anand Avati 2013-08-07 10:18:34 EDT
REVIEW: http://review.gluster.org/5488 (glusterd: Saving geo-rep session details in a more specific path) posted (#4) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 5 Anand Avati 2013-08-14 08:17:53 EDT
REVIEW: http://review.gluster.org/5488 (glusterd: Saving geo-rep session details in a more specific path.) posted (#5) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 6 Anand Avati 2013-08-21 09:46:33 EDT
REVIEW: http://review.gluster.org/5488 (glusterd: Saving geo-rep session details in a more specific path.) posted (#7) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 7 Anand Avati 2013-08-29 07:25:23 EDT
REVIEW: http://review.gluster.org/5488 (glusterd: Saving geo-rep session details in a more specific path) posted (#8) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 8 Anand Avati 2013-09-03 05:58:31 EDT
REVIEW: http://review.gluster.org/5488 (glusterd: Saving geo-rep session details in a more specific path) posted (#9) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 9 Anand Avati 2013-09-04 22:28:01 EDT
COMMIT: http://review.gluster.org/5488 committed in master by Anand Avati (avati@redhat.com) 
------
commit c7cc5252a350ff78b5f8396d05c85b9d2ade17b8
Author: Venky Shankar <vshankar@redhat.com>
Date:   Fri Aug 2 15:34:00 2013 +0530

    glusterd: Saving geo-rep session details in a more specific path
    
    Now saving the session details in
    /var/lib/glusterd/geo-replication/<mastervol>_<slaveip>_<slavevol>
    repo to distinguish between two master-slave sessions where the
    slavename is same across two different clusters.
    
    Change-Id: I57c93f55cc9bd4fe2bffe579028aaf5e4335b223
    BUG: 991501
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Signed-off-by: Venky Shankar <vshankar@redhat.com>
    Reviewed-on: http://review.gluster.org/5488
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.